=== debian/changelog ===
ros-noetic-pilz-testutils (0.7.2-1focal) focal; urgency=high

  * Add pilz_testutils_coverage to CI job
  * Add unittest for joint_state_publisher_mock
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 09 Feb 2021 23:00:00 -0000

ros-noetic-pilz-testutils (0.7.1-1focal) focal; urgency=high

  * Add missing header in service_client_mock.h
  * JointStatePublisherMock stop publishing in DTOR
  * Add unittests
  * Fix minor clang-tidy finding
  * Omit nested namespace definitions (c++17)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 01 Feb 2021 23:00:00 -0000

ros-noetic-pilz-testutils (0.7.0-1focal) focal; urgency=high

  * Update maintainer list
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 29 Nov 2020 23:00:00 -0000

ros-noetic-pilz-testutils (0.6.0-1focal) focal; urgency=high

  * Move to new repo pilz_common
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 19 Nov 2020 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.20-1focal) focal; urgency=high

  * Fix include own header before system (#466)
  * Better log output on mismatches (#462)
  * Remove ROSNotOKException (#458)
  * Fix compiler errors in MockAppender (#464)
  * Fix wrong include for logger mock (#461)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 16 Nov 2020 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.19-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Sep 2020 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.18-1focal) focal; urgency=high

  * Make AsyncTest header-only
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 01 Jul 2020 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.17-1focal) focal; urgency=high

  * Add JointStatePublisherMock
  * Add LoggerMock
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 21 Jun 2020 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.16-1focal) focal; urgency=high

  * Update and apply clang-format (#387)
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 May 2020 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.15-1focal) focal; urgency=high

  * add timeout to AsyncTest::barricade()
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 02 May 2020 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.14-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Mar 2020 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.13-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.12-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 27 Nov 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.11-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 21 Nov 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.5.10-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.9-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Oct 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.8-1focal) focal; urgency=high

  * integrate clang-tidy via CMake flag
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.7-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Aug 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.6-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.5-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 11 Jun 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.4-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 26 May 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.3-1focal) focal; urgency=high

  * Make docu compabtible with both kinetic and melodic
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-noetic-pilz-testutils (0.5.2-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 20 Feb 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.4.6-1focal) focal; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.4.5-1focal) focal; urgency=high

  * Fix missing <build_depend>

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-noetic-pilz-testutils (0.4.4-1focal) focal; urgency=high

  * Provide class AsyncTest for tests with asynchronous events
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000
